Subject: Re: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Nicolas Petton <[email-masked]>
Date: Thu, 23 Apr 2015 11:14:33 +0200

Paul Eggert writes:

> Nicolas Petton wrote:
>> I don't understand how this would better than using backquotes
>> `like-this`
>
> Quoting `like-this` still looks ugly

I guess that's just a matter of taste then.  I think it's perfectly
fine, and FWIW it's also a very common way to quote code nowadays.

>> - Isn't the curved single quote character *really* hard to type?
>
> Yes, and Stefan raised that point too.  It should be reasonably easy to fix this 
> (though I haven't coded it up yet).

How? By inserting curved quotes when the user types a single quote (or
another character) in a string in Elisp code?  Wouldn't that be a big
issue in other modes (or even outside of Emacs)?

Nico
-- 
Nicolas Petton
http://nicolas-petton.fr